INI_SEC(Global,"Global parameters");
INI_DBL(Alpha,          100.,"Default weight of regularization term vs. data term");
INI_DBL(AlphaSF,        -1., "Weight of secene flow regularization term vs. data term for scene flow ");
INI_DBL(AlphaW,         -1., "Weight of regularization term of W vs. data term for scene flow ");
INI_DBL(AlphaZ,         -1., "Weight of regularization term of Z vs. data term for scene flow ");
INI_DBL(MuZ,             1,	 "Weight multiplying |nabla_Z| in regularization");
INI_DBL(MuU,             1,  "Weight multiplying |nabla_U| in regularization");
INI_DBL(MuV,             1,  "Weight multiplying |nabla_V| in regularization");
INI_DBL(MuW,             1,  "Weight multiplying |nabla_W| in regularization");
INI_DBL(f0ku,           1000,"x focal length * scale of the reference camera"); 
INI_DBL(f0kv,           1000,"y focal length * scale of the reference camera"); 
INI_DBL(u0,				-1,  "x difference between the camera's and image's center of coordinates system"); 
INI_DBL(v0,				-1,  "y difference between the camera's and image's center of coordinates system"); 
INI_DBL(Tx,				-2,  "x translation between the two cameras"); 
INI_DBL(Ty,				 0,  "y translation between the two cameras"); 
INI_DBL(Tz,				 0,  "z translation between the two cameras"); 
INI_DBL(COPX,			 0,  "center of projection X coordinate"); 
INI_DBL(COPY,			 0,  "center of projection Y coordinate"); 
INI_DBL(COPZ,			 0,  "center of projection Z coordinate"); 
INI_DBL(DISACTIVATION_THRESHOLD_Z,		1.5,	 "threshold for the distance between two 3D points");
INI_DBL(Occl_Z,          1, "if flag=1, any depth that > maxZ is considered occluded.");
INI_INT(DIV_UVW,         0,  "if flag=1 the div of u, v, and w is computed together");
INI_INT(DIV_UV_ZW,       0,  "if flag=1 the div U,V is computed together and div of Z+w is computed together");
INI_INT(DIV_UVWZ,        0,  "if flag=1 the div of U,V,W and Z is computed together");
INI_INT(BLACK_LINE,		 0,  "if flag = 1, the black-line occlusion map is loaded for the stereo dataset");
INI_STR(IMG_TYPE,        "png", "the saved images type");
INI_DBL(maxZ,			 0.95*(1e3),"The maximum allowed initial depth when converting the inital disparity");
INI_INT(NumOfViews,		 2,"Number of views");
INI_INT(MaxIterOuter,    2,"Max number of outer loop iterations");
INI_DBL(EpsilonOuter,    0.01,"Stop criterion for the first fixed point iteration");
INI_INT(MaxIterInner,    15,"Max number of inner loop iterations");
INI_DBL(EpsilonInner,    0.05,"Stop criterion for the second fixed point iteration in optical flow and scene flow computation");
INI_INT(MaxIterSOR,      20,"Max number of SOR iterations");
INI_DBL(EpsilonSOR,      0.01,"Stop criterion for SOR for Stereo and Optic Flow");
INI_DBL(OmegaSOR,        1.6,"OmegaSOR value for scene flow");
INI_STR(StereoExecutable, ".\\bp-vision\\stereo.exe","Path to the executable for stereo initialization");
INI_INT(PyramidLevelsSF,     4, "First pyramid level for SceneFlow (U, V, W and Z)");
INI_INT(PyramidLevelsFlow,   11,"Final pyramid level only for the flow U,V and W");
INI_INT(PyramidLevelFinal,   1, "Final pyramid level");
INI_DBL(PyramidEta,        0.9,"Pyramid reduction factor");
INI_INT(PyramidFloatingPoint,0,"Non-zero for floating point images in the pyramid");
INI_STR(LogFile,"sf.log","Log file name");
INI_INT(InitStereo,		   0,	"Non-zero for computing the initial depth from initial disparity");
INI_INT(InitStereoBP,      1,	"Initialize the stereo using external BP-based stereo");
INI_STR(Img_0_FileName,    NULL,	"image files at time 0");
INI_STR(Img_t_FileName,    NULL,	"image files at time t");
INI_STR(ImgPrefix,		   "png",	"images format");
INI_STR(CMat_FileName,	   NULL,	"Calibration matrix main file name");
INI_STR(RMat_FileName,	   NULL,	"Rotation matrix main file name");
INI_STR(TMat_FileName,	   NULL,	"Translation matrix main file name");
INI_STR(Il0_FileName,	   NULL,"Left image at time 0");
INI_STR(Ilt_FileName,	   NULL,"Left image at time t");
INI_STR(Ir0_FileName,	   NULL,"Right image at time 0");
INI_STR(Irt_FileName,	   NULL,"Right image at time t");
INI_STR(ImagePyramidFileSuffix,NULL,"Image pyramid file suffix");
INI_STR(Il0PyramidFilePrefix,NULL,"");
INI_STR(IltPyramidFilePrefix,NULL,"");
INI_STR(Ir0PyramidFilePrefix,NULL,"");
INI_STR(IrtPyramidFilePrefix,NULL,"");
INI_STR(TxtResultsDir,	NULL,"Txt directory of the results");

INI_SEC(Stereo,"Stereo computation");
INI_INT(D_SCALE, 0, "");
INI_INT(Z0_init_Scale,		10," scale for the initial depth");
INI_STR(ST_D0_initialFileName,NULL,"Initial D0 from file");
INI_STR(ST_D0_Init_Middlebury_FileName,"D0_ST_init_Middlebury.pgm","Initial disparity estimation in Middlebury format (should be PGM)");
INI_STR(ST_Z0_init_FileName,NULL,"Initial z estimation");
INI_STR(ST_D0_FileName,NULL,"Final disparity estimation from stereo");
INI_STR(ST_Z0_FileName,NULL,"Final Z estimation from stereo");
INI_STR(ST_initZ0_FileName,NULL,"initial Z for stereo");
INI_STR(ST_initD0_FileName,NULL,"initial D for stereo");

INI_SEC(SceneFlow,"Scene flow computation");
INI_STR(SF_Dt_Init_FileName,NULL,"Output false color disparity image");
INI_STR(SF_U_FileName,NULL,"");
INI_STR(SF_V_FileName,NULL,"");
INI_STR(SF_W_FileName,NULL,"");
INI_STR(SF_Z0_FileName,NULL,"");
INI_STR(SF_D0_FileName,NULL,"");
INI_STR(SF_Dt_FileName,NULL,"");
INI_STR(SF_Z0_start_init_FileName,NULL,"Initial Z estimation not for sceneflow ");
INI_STR(SF_Z0_start_Txt_FileName,NULL,"Initial Z0 estimation from txt file (if SF_Z0_start_init_FileName is NULL) ");
INI_STR(SF_U_start_init_FileName,NULL,"Initial U estimation for sceneflow ");
INI_STR(SF_U_start_Txt_FileName, NULL, "Initial U estimation from txt file");
INI_STR(SF_V_start_init_FileName,NULL,"Initial V estimation for sceneflow ");
INI_STR(SF_V_start_Txt_FileName, NULL, "Initial V estimation from txt file");
INI_STR(SF_W_start_init_FileName,NULL,"Initial W estimation for sceneflow ");
INI_STR(SF_W_start_Txt_FileName, NULL, "Initial W estimation from txt file");
INI_STR(SF_disactivated_ref_flow_FileName,NULL,"Images of disactivated pixels for reference flow");
INI_STR(SF_disactivated_flow_FileName,NULL,"Images of disactivated pixels for the wraped images flow");
INI_STR(SF_disactivated_Surf_1_FileName,NULL,"Images of disactivated pixels for stereo at time t");
INI_STR(SF_disactivated_Surf_2_FileName,NULL,"Image of disactivated pixels for stereo at ti,e t+1");
INI_STR(SF_Il0_FileName,NULL,"");
INI_STR(SF_Ilt_FileName,NULL,"");
INI_STR(SF_Ir0_FileName,NULL,"");
INI_STR(SF_Irt_FileName,NULL,"");
INI_STR(SF_I0_Warped_FileName,NULL,"");
INI_STR(SF_It_Warped_FileName,NULL,"");
INI_STR(SF_Irt_Warped_FileName,NULL,"");
INI_STR(SF_U_Final_FileName,NULL,"");
INI_STR(SF_V_Final_FileName,NULL,"");
INI_STR(SF_W_Final_FileName,NULL,"");
INI_STR(SF_Z0_Final_FileName,NULL,"");
INI_STR(Zt_initFile,NULL,"");
INI_INT(SF_Steps, 0, "");
INI_DBL(U_CONST,         0,"a const value for the initial U");
INI_DBL(V_CONST,         0,"a const value for the initial V");
INI_DBL(W_CONST,         0,"a const value for the initial W");
INI_DBL(Z_CONST,         0,"a const value for the initial Z");

